Subject: RE: WGLC comments on draft-ietf-multi6-architecture-02.txt

From: <[email-masked]>
Date: Wed, 3 Nov 2004 12:31:15 +0200

Hi Geoff,

> Thanks indeed for your careful review of this document. I've responded 
> inline to your questions, but in general I agree with the suggestions here

Just responding to one open point here:

> >2) 1st line, page 8:
> >
> >    "In addition to this objective of session resilience across network
> >    reachability changes," ...
> >
> >         I had a hard time parsing this at first, perhaps the coffee  didn't
> >         kick in.  Is it:
> >
> >    "In addition to this objective of session resilience across network
> >    reachability changes," ...
> >
> >         or
> >
> >    "In addition to this objective of session resilience during network
> >    reachability changes," ...
> >
> >         or
> >
> >    "In addition to this objective of session resilience in spite of network
> >    reachability changes," ...
> 
> 
> I think its the third. But it needs clarification in any case. What is 
> going through my head as I read your comments is the distinction between 
> session resilience DURING the period of routing instability while the 
> routing system reaches a new converged state as distinct to the objective 
> of session surviveability BEFORE and AFTER a routing change. I do not think 
> it is possible to undertake the former (DURING) given that there is no 
> reliable stable routing state during routing churn, so I did mean BEFORE 
> and AFTER.

I think our goal here is that a session SHOULD survive (TCP connections don't
break) but it might not be possible in all cases.  I'll let you wordsmith,
however.

thanks,
John

---

From: Geoff Huston <[email-masked]>
Date: Thu, 04 Nov 2004 09:36:10 +1100

>break) but it might not be possible in all cases.  I'll let you wordsmith,

thanks - I'll work on this

   Geoff